Subject: Re: linux-next: build failure after merge of the vhost tree

From: "Michael S. Tsirkin" <[email-masked]>
Date: Wed, 1 Jun 2022 17:57:12 -0400

On Wed, Jun 01, 2022 at 11:42:40AM +1000, Stephen Rothwell wrote:
> Hi all,
> 
> After merging the vhost tree, today's linux-next build (powerpc
> ppc64_defconfig) failed like this:
> 
> drivers/virtio/virtio_ring.c: In function 'virtqueue_add':
> drivers/virtio/virtio_ring.c:1783:16: error: 'vq' undeclared (first use in this function); did you mean '_vq'?
>  1783 |         return vq->packed_ring ? virtqueue_add_packed(_vq, sgs, total_sg,
>       |                ^~
>       |                _vq
> drivers/virtio/virtio_ring.c:1783:16: note: each undeclared identifier is reported only once for each function it appears in
> drivers/virtio/virtio_ring.c:1787:1: error: control reaches end of non-void function [-Werror=return-type]
>  1787 | }
>       | ^
> 
> Caused by commit
> 
>   a50f09346a34 ("virtio_ring: remove unused variable in virtqueue_add()")
> 
> I am sorry, but I expect better review and build testing than this :-(
> 
> I have used the vhost tree from next-20220531 for today.

Indeed, pushed a wrong tree :( 
I hope I pushed the correct one now, pls let me know whether this is now fixed.
Thanks!

-- 
MST